%define use_gitsnap 0
%{?_no_gitsnap: %{expand: %%global use_gitsnap 0}}
%if %{use_gitsnap}
%define gitsnap 200809231700
%endif

Name:           system-config-printer
Summary:        A printer administration tool
Version:        1.0.16
Release:        %mkrel 4
Url:            http://cyberelk.net/tim/software/system-config-printer/
License:        LGPLv2+
Group:          System/Configuration/Printing
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://cyberelk.net/tim/data/system-config-printer/1.0.x/%{name}-%{version}%{?gitsnap:-%gitsnap}.tar.bz2
Source1:        system-config-printer.pam
Source2:        system-config-printer.console
Source3:        po-mdv.tar.bz2
Patch0:         system-config-printer-1.0.12-mdv_custom-applet.patch
Patch1:         system-config-printer-1.0.3-mdv_custom-jobviewer.patch
Patch2:         system-config-printer-1.0.3-mdv_custom-popup_menu.patch
Patch3:         system-config-printer-1.0.4-mdv_custom-embedded_window.patch
Patch4:         system-config-printer-1.0.14-mdv_custom-system-config-printer.patch
Patch5:         system-config-printer-1.0.16-revert-27ddb74-start_applet_for_kde4.patch
BuildRequires:  cups-devel >= 1.2
BuildRequires:  python-devel >= 2.4
BuildRequires:  desktop-file-utils >= 0.2.92
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  xmlto
BuildArch:	    noarch
Obsoletes:      desktop-printing
Obsoletes:      printerdrake
Provides:       printerdrake

Requires:       pygtk2 >= 2.4.0
Requires:       pygtk2.0-libglade
Requires:       python-gobject
Requires:       usermode >= 1.94
Requires:       desktop-file-utils >= 0.2.92
Requires:       dbus-x11
Requires:       system-config-printer-libs = %{version}-%{release}
Requires:       gnome-icon-theme
Requires:       gnome-python
Requires:       virtual-notification-daemon
Requires:       python-cups
Requires:       python-rhpl
Requires:       python-dbus
Requires:       hal-cups-utils
Requires:	    python-notify
Conflicts:      kdeutils4-printer-applet
Suggests:       samba-client

%description
system-config-printer is a graphical user interface that allows
the user to configure a CUPS print server.

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/%{name}
%{_bindir}/%{name}-applet
%{_bindir}/my-default-printer
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/authconn.py*
%{_datadir}/%{name}/config.py*
%{_datadir}/%{name}/contextmenu.py*
%{_datadir}/%{name}/debug.py*
%{_datadir}/%{name}/errordialogs.py*
%{_datadir}/%{name}/jobviewer.py*
%{_datadir}/%{name}/monitor.py*
%{_datadir}/%{name}/my-default-printer.py*
%{_datadir}/%{name}/options.py*
%{_datadir}/%{name}/optionwidgets.py*
%{_datadir}/%{name}/PhysicalDevice.py*
%{_datadir}/%{name}/probe_printer.py*
%{_datadir}/%{name}/pysmb.py*
%{_datadir}/%{name}/smburi.py*
%{_datadir}/%{name}/statereason.py*
%{_datadir}/%{name}/system-config-printer.py*
%{_datadir}/%{name}/gtk_label_autowrap.py*
%{_datadir}/%{name}/AdvancedServerSettings.py*
%{_datadir}/%{name}/gtk_treeviewtooltips.py*
%{_datadir}/%{name}/applet.py*
%{_datadir}/%{name}/userdefault.py*
%{_datadir}/%{name}/troubleshoot
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/icons
%{_datadir}/applications/redhat-system-config-printer.desktop
%{_datadir}/applications/redhat-manage-print-jobs.desktop
%{_datadir}/applications/redhat-my-default-printer.desktop
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sysconfdir}/xdg/autostart/redhat-print-applet.desktop
%{_mandir}/man1/*

#---------------------------------------------------------------------

%package  libs
Summary:  Common code for the graphical and non-graphical pieces
Group:    System/Libraries 
Requires: python
Requires: foomatic

%description libs
The common code used by both the graphical and non-graphical parts of
the configuration tool.

%files libs -f system-config-printer.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/newprinternotification.conf
%dir %{python_sitelib}/cupshelpers
%{python_sitelib}/cupshelpers/__init__.py*
%{python_sitelib}/cupshelpers/cupshelpers.py*
%{python_sitelib}/cupshelpers/openprinting.py*
%{python_sitelib}/cupshelpers/ppds.py*
%{python_sitelib}/*.egg-info

#--------------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .mdv_custom-applet
%patch1 -p1 -b .mdv_custom-jobviewer
%patch2 -p1 -b .mdv_custom-popumenu
%patch3 -p1 -b .mdv_custom-embedded-window
%patch4 -p1 -b .mdv_custom-system-config-printer
%patch5 -p0 -b .start_applet_for_kde4

# update mdv custom translation
tar xvjf %{SOURCE3}
pushd po
for i in *.po; do
    if [ ! -f ../po-mdv/$i ]; then
        continue
    fi
    msgcat $i ../po-mdv/$i > ../po-mdv/$i-new
    rm -f $i
    mv ../po-mdv/$i-new $i
done
popd

%build
%if %{use_gitsnap}
./bootstrap
%endif
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf %buildroot
make DESTDIR=%buildroot install

# Make sure pyc files are generated, otherwise we can get
# difficult to debug problems
pushd %{buildroot}%{_datadir}/%{name}
python -m compileall .
popd

mkdir -p %buildroot%{_bindir}
mkdir -p %buildroot%{_sbindir}
mkdir -p %buildroot%{_sysconfdir}/pam.d
mkdir -p %buildroot%{_sysconfdir}/security/console.apps
install -p -m0644 %{SOURCE1} %buildroot%{_sysconfdir}/pam.d/%{name}
install -p -m0644 %{SOURCE2} %buildroot%{_sysconfdir}/security/console.apps/%{name}
mv %buildroot%{_bindir}/%{name} %buildroot%{_sbindir}/%{name}
ln -s consolehelper %buildroot%{_bindir}/%{name}

%find_lang system-config-printer

%clean
%{__rm} -rf "%{buildroot}"


%changelog
* Thu Apr 16 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.16-4mdv2009.1
+ Revision: 367600
- P5: start system-config-printer-applet in KDE4
- python is patched to fix gettext.py, no more need to strip comments from
  po files
- updated mdv-po/pt_BR.po

* Wed Apr 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.16-3mdv2009.1
+ Revision: 367444
- translation updates

* Sun Apr 12 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.16-2mdv2009.1
+ Revision: 366456
- improved workaround for gettext.py bug when parsing "Plural-Forms:"
  header; fixes crash when LANGUAGE=nl (bug #49475)

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.16-1mdv2009.1
+ Revision: 354854
- Update to new version 1.0.16

* Thu Feb 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.15-1mdv2009.1
+ Revision: 342999
- update to new version 1.0.15

* Wed Feb 11 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.14-1mdv2009.1
+ Revision: 339615
- Update to new version 1.0.14
- Rediff mdv_custom-system-config-printer.patch

* Sat Jan 31 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.13-1mdv2009.1
+ Revision: 335727
- Update to new version 1.0.13

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.12-3mdv2009.1
+ Revision: 319524
- rediff mdv_custom-applet.patch
- rebuild with python 2.6

  + Funda Wang <fundawang@mandriva.org>
    - rebuild for new python

* Fri Dec 05 2008 Leonardo de Amaral Vidal <leonardoav@mandriva.com> 1.0.12-1mdv2009.1
+ Revision: 310781
- New version 1.0,12

* Thu Nov 27 2008 Leonardo de Amaral Vidal <leonardoav@mandriva.com> 1.0.11-1mdv2009.1
+ Revision: 307298
- New version 1.0.11

* Thu Nov 20 2008 Leonardo de Amaral Vidal <leonardoav@mandriva.com> 1.0.10-1mdv2009.1
+ Revision: 305240
- New version 1.0.10
- New version 1.0.10

* Wed Oct 01 2008 Funda Wang <fundawang@mandriva.org> 1.0.7-13mdv2009.0
+ Revision: 290491
- new translation snapshot

* Mon Sep 29 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-12mdv2009.0
+ Revision: 289446
- update po-mdv tarball
- bump release

* Wed Sep 24 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-11mdv2009.0
+ Revision: 287941
- fix translation issue in system-config-printer-applet
- bump release

* Tue Sep 23 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-10mdv2009.0
+ Revision: 287630
- update to the latest git version
- bump release

* Tue Sep 23 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-9mdv2009.0
+ Revision: 287580
- remove custom network printer detection.
  This is done by mdv_backend in hal-cups-utils now.
- bump release

* Mon Sep 22 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-8mdv2009.0
+ Revision: 287024
- update mdv-po tarball
- remove some comments from po files generated by msgcat (fix #44088)
- bump release

* Mon Sep 22 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-7mdv2009.0
+ Revision: 286917
- add network printer detection (#43488 and #43285)
- bump release

* Mon Sep 15 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-6mdv2009.0
+ Revision: 285067
- changing spec to support git snapshots
- add git snapshot tarball to merge current translation files and some fixes
- remove upstream code
- bump release

* Thu Sep 11 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-5mdv2009.0
+ Revision: 283789
- merge upstream and custom mdv po files
- bump release

* Wed Sep 10 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-4mdv2009.0
+ Revision: 283572
- Obsoletes/Provides printerdrake.
- bump release

* Fri Sep 05 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.7-3mdv2009.0
+ Revision: 281070
- Add missing dependency on python-notify

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-2mdv2009.0
+ Revision: 279119
- fix bug https://bugzilla.redhat.com/show_bug.cgi?id=460670
- bump release
- re-enabling attach_to_status_icon() as it was fixed in python-cups

* Mon Sep 01 2008 Tiago Salem <salem@mandriva.com.br> 1.0.7-1mdv2009.0
+ Revision: 278409
- version 1.0.7
- Fix message typos
- prevent installing drivers for some network printers

* Tue Aug 26 2008 Tiago Salem <salem@mandriva.com.br> 1.0.6-2mdv2009.0
+ Revision: 276342
- fix icon in applet
- fix auto-select make and model for parallel printers
- auto install task-printing-hp, many commands from hplip
  are needed by system-config-printer (hp-info, hp-makeuri)
- bump release

* Mon Aug 25 2008 Tiago Salem <salem@mandriva.com.br> 1.0.6-1mdv2009.0
+ Revision: 275926
- new version 1.0.6
- rediff patches to the new version
- adapt spec to the new version

* Mon Aug 25 2008 Tiago Salem <salem@mandriva.com.br> 1.0.4-7mdv2009.0
+ Revision: 275778
- fix page bug order on wizard window (#43119)
- bump release

* Fri Aug 22 2008 Tiago Salem <salem@mandriva.com.br> 1.0.4-6mdv2009.0
+ Revision: 275232
- change patches 3 and 4 order
- add function call to reload parallel kernel modules
- add missing translation tags
- fix printer name when a custom ppd is provided
- bump release

* Wed Aug 20 2008 Tiago Salem <salem@mandriva.com.br> 1.0.4-5mdv2009.0
+ Revision: 274437
- make system-config-printer ask for task-printing-server
- bump release

* Wed Aug 20 2008 Tiago Salem <salem@mandriva.com.br> 1.0.4-4mdv2009.0
+ Revision: 274255
- add patch to be able to embed system-config-printer in mcc.
- bump release
- add obsoletes to desktop-printing package

* Thu Aug 07 2008 Tiago Salem <salem@mandriva.com.br> 1.0.4-3mdv2009.0
+ Revision: 267204
- bump release
- adding mandriva custom stuff
- bump release

* Thu Aug 07 2008 Frederik Himpe <fhimpe@mandriva.org> 1.0.4-2mdv2009.0
+ Revision: 266831
- Also create byte-compiled files for the files
  in /usr/share/system-config-printer, otherwise they can be created
  at run-time and cause trouble when the package is updated later on

* Wed Aug 06 2008 Frederik Himpe <fhimpe@mandriva.org> 1.0.4-1mdv2009.0
+ Revision: 264746
- New version 1.0.4
- Fix file list

  + Funda Wang <fundawang@mandriva.org>
    - should be noarch

* Sat Jun 21 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.2-1mdv2009.0
+ Revision: 227707
- New version 1.0.2

* Fri Jun 06 2008 Tiago Salem <salem@mandriva.com.br> 0.9.93-1mdv2009.0
+ Revision: 216485
- Version 0.9.93
- add missing requires: python-rhpl

* Fri May 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.90-3mdv2009.0
+ Revision: 208172
- fix notification-daemon require so that it cohabites with notification-daemon-xfce

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 0.9.90-2mdv2009.0
+ Revision: 207238
- remove bogus buildrequires on epydoc

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Requires ( big thanks to Anssi )

* Sun May 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.90-1mdv2009.0
+ Revision: 205935
- Fix Provides
- Fix groups
- Fix Groups
- Fix source naming
- Requires python-cups
- pycups is now on its own package
- Fix Requires
- Fix Requires
- import system-config-printer


